#ifndef _ELM_ACTIONSLIDER_EO_H_
#define _ELM_ACTIONSLIDER_EO_H_

/**

 */
#define ELM_OBJ_ACTIONSLIDER_CLASS elm_obj_actionslider_class_get()

const Eo_Class *elm_obj_actionslider_class_get(void) EINA_CONST;

/**
 * @def elm_obj_actionslider_indicator_pos_set
 *
 * Set actionslider indicator position.
 *
 * @ingroup Actionslider
 *
 * @param[in] pos The position of the indicator.
 *
 */
EAPI void  elm_obj_actionslider_indicator_pos_set(Elm_Actionslider_Pos pos);

/**
 * @def elm_obj_actionslider_indicator_pos_get
 *
 * Get actionslider indicator position.
 *
 * @return The position of the indicator.
 *
 * @ingroup Actionslider
 *
 *
 */
EAPI Elm_Actionslider_Pos  elm_obj_actionslider_indicator_pos_get(void);

/**
 * @def elm_obj_actionslider_magnet_pos_set
 *
 * Set actionslider magnet position. To make multiple positions magnets @c or
 * them together(e.g.: ELM_ACTIONSLIDER_LEFT | ELM_ACTIONSLIDER_RIGHT)
 *
 * @ingroup Actionslider
 *
 * @param[in] pos Bit mask indicating the magnet positions.
 *
 */
EAPI void  elm_obj_actionslider_magnet_pos_set(Elm_Actionslider_Pos pos);

/**
 * @def elm_obj_actionslider_magnet_pos_get
 *
 * Get actionslider magnet position.
 *
 * @return The positions with magnet property.
 *
 * @ingroup Actionslider
 *
 *
 */
EAPI Elm_Actionslider_Pos  elm_obj_actionslider_magnet_pos_get(void);

/**
 * @def elm_obj_actionslider_enabled_pos_set
 *
 * Set actionslider enabled position. To set multiple positions as enabled @c or
 * them together(e.g.: ELM_ACTIONSLIDER_LEFT | ELM_ACTIONSLIDER_RIGHT).
 *
 * @note All the positions are enabled by default.
 *
 * @ingroup Actionslider
 *
 * @param[in] pos Bit mask indicating the enabled positions.
 *
 */
EAPI void  elm_obj_actionslider_enabled_pos_set(Elm_Actionslider_Pos pos);

/**
 * @def elm_obj_actionslider_enabled_pos_get
 *
 * Get actionslider enabled position.
 *
 * @return The enabled positions.
 *
 * @ingroup Actionslider
 *
 *
 */
EAPI Elm_Actionslider_Pos  elm_obj_actionslider_enabled_pos_get(void);

/**
 * @def elm_obj_actionslider_selected_label_get
 *
 * Get actionslider selected label.
 *
 * @return The selected label
 *
 * @ingroup Actionslider
 *
 *
 */
EAPI const char * elm_obj_actionslider_selected_label_get(void);

EAPI extern const Eo_Event_Description _ELM_ACTIONSLIDER_EVENT_LANGUAGE_CHANGED;
EAPI extern const Eo_Event_Description _ELM_ACTIONSLIDER_EVENT_ACCESS_CHANGED;

/**
 * No description
 */
#define ELM_ACTIONSLIDER_EVENT_LANGUAGE_CHANGED (&(_ELM_ACTIONSLIDER_EVENT_LANGUAGE_CHANGED))

/**
 * No description
 */
#define ELM_ACTIONSLIDER_EVENT_ACCESS_CHANGED (&(_ELM_ACTIONSLIDER_EVENT_ACCESS_CHANGED))

#endif